Khronos Public Bugzilla
Bug 690 - Bugs not being properly recorded as fixed
Summary: Bugs not being properly recorded as fixed
Alias: None
Product: OpenGL
Classification: Unclassified
Component: API Specification (show other bugs)
Version: 4.2
Hardware: All All
: P3 normal
Target Milestone: ---
Assignee: Graham Sellers
QA Contact:
Depends on:
Reported: 2012-08-10 10:00 PDT by Alfonse
Modified: 2015-10-22 14:10 PDT (History)
2 users (show)

See Also:


Note You need to log in before you can comment on or make changes to this bug.
Description Alfonse 2012-08-10 10:00:01 PDT
Many bugs reported on this Bugzilla have been fixed, likely due to being reported here. However, nobody ever fixes them or even changes their status from "NEW".

For example, take bug 538. GL 4.3 was given specific language resolving this bug, saying that "Color, depth, and stencil masks (see section 17.4.2) are ignored." That's great. However, the bug *itself* was never marked fixed. Indeed, right now, the bug is still marked "NEW".

In general, the status of a bug is a good way to tell important information. A "NEW" bug should be exactly that: a bug that was *recently* entered into the DB. It is a bug that has not been seen by the developers.

Once a bug has been seen, it should either be marked "ASSIGNED" (thus meaning that a fix is being worked on) or "RESOLVED" (meaning that either there is no bug, or that a fix has already been made).

In short, a bug database where most of the bugs are "NEW" suggests a bug database that nobody ever reads. This kind of maintenance is vital if this bug DB is going to be useful to anyone.
Comment 1 Graham Sellers 2013-06-04 10:43:19 PDT
I'm going to fix this. Hang tight.
Comment 2 Graham Sellers 2015-10-22 14:10:27 PDT
It is with some level of irony that I'd like to acknowledge that while I did close out a lot of bugs older than this one, I did not, in fact mark this as fixed. I would do that now, except there's a bunch of bugs filed since that we have not fixed -- or perhaps we have actually fixed them, but haven't marked them fixed. Therefore, I'm leaving it open... because it's not fixed.